Datatypes
Globus GRAM Job Manager Callout Error
Collaboration diagram for Datatypes:

## Enumerations

enum | globus_gram_jobmanager_callout_error_t { GLOBUS_GRAM_JOBMANAGER_CALLOUT_BAD_CREDS = 0, GLOBUS_GRAM_JOBMANAGER_CALLOUT_AUTHZ_SYSTEM_ERROR = 1, GLOBUS_GRAM_JOBMANAGER_CALLOUT_AUTHZ_DENIED = 2, GLOBUS_GRAM_JOBMANAGER_CALLOUT_AUTHZ_DENIED_INVALID_JOB = 3, GLOBUS_GRAM_JOBMANAGER_CALLOUT_AUTHZ_DENIED_BAD_EXECUTABLE = 4, GLOBUS_GRAM_JOBMANAGER_CALLOUT_ERROR_LAST = 5 }

## Detailed Description

## Enumeration Type Documentation

## globus_gram_jobmanager_callout_error_t

enum globus_gram_jobmanager_callout_error_t

GRAM Jobmanager Callout Error codes

Enumerator
GLOBUS_GRAM_JOBMANAGER_CALLOUT_BAD_CREDS | Credentials not accepted
GLOBUS_GRAM_JOBMANAGER_CALLOUT_AUTHZ_SYSTEM_ERROR | Authorization system misconfigured
GLOBUS_GRAM_JOBMANAGER_CALLOUT_AUTHZ_DENIED | Authorization denied
GLOBUS_GRAM_JOBMANAGER_CALLOUT_AUTHZ_DENIED_INVALID_JOB | Authorization denied - invalid job id
GLOBUS_GRAM_JOBMANAGER_CALLOUT_AUTHZ_DENIED_BAD_EXECUTABLE | Authorization denied - executable not allowed
GLOBUS_GRAM_JOBMANAGER_CALLOUT_ERROR_LAST | Last marker - never used